<?php
/**
 * Blog options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

// Add excerpt section
$wp_customize->add_section( 'yummy_pro_blog_section', array(
	'title'             => esc_html__( 'Blog Options','yummy-pro' ),
	'description'       => esc_html__( 'Applies to archive and search pages.', 'yummy-pro' ),
	'panel'             => 'yummy_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[blog_page_title]', array(
	'default'           => $options['blog_page_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[blog_page_title]', array(
	'label'       		=> esc_html__( 'Blog Title', 'yummy-pro' ),
	'description' 		=> esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'yummy-pro' ),
	'section'     		=> 'yummy_pro_blog_section',
	'type'        		=> 'text',
	'active_callback'   => 'yummy_pro_is_latest_posts'
) );

// Author Image.
$wp_customize->add_setting( 'yummy_pro_theme_options[hide_author_avatar]', array(
	'sanitize_callback' => 'yummy_pro_sanitize_checkbox',
	'default'			  => $options['hide_author_avatar'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[hide_author_avatar]', array(
	'label'       => esc_html__( 'Hide Author Avatar', 'yummy-pro' ),
	'section'     => 'yummy_pro_blog_section',
	'type'        => 'checkbox',
) );

// Date.
$wp_customize->add_setting( 'yummy_pro_theme_options[hide_blog_date]', array(
	'sanitize_callback' => 'yummy_pro_sanitize_checkbox',
	'default'			  => $options['hide_blog_date'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[hide_blog_date]', array(
	'label'       => esc_html__( 'Hide Blog Date', 'yummy-pro' ),
	'section'     => 'yummy_pro_blog_section',
	'type'        => 'checkbox',
) );

// Read more text.
$wp_customize->add_setting( 'yummy_pro_theme_options[read_more_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			  => $options['read_more_text'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[read_more_text]', array(
	'label'       => esc_html__( 'Read More Text', 'yummy-pro' ),
	'section'     => 'yummy_pro_blog_section',
	'type'        => 'text',
) );
