<?php
/**
 * Single-page Options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

$wp_customize->add_section( 'yummy_pro_single_options', array(
	'title'             => esc_html__( 'Single Options','yummy-pro' ),
	'description'       => esc_html__( 'Applies To Single Post Only.', 'yummy-pro' ),
	'panel'             => 'yummy_pro_theme_options_panel',
) );

// Date disable setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[hide_date]', array(
	'sanitize_callback'	=> 'yummy_pro_sanitize_checkbox',
	'default'          	=> $options['hide_date'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[hide_date]', array(
	'label'            	=> esc_html__( 'Hide Date', 'yummy-pro' ),
	'section'          	=> 'yummy_pro_single_options',
	'type'             	=> 'checkbox',
) );

// Category disable setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[hide_category]', array(
	'sanitize_callback'	=> 'yummy_pro_sanitize_checkbox',
	'default'          	=> $options['hide_category'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[hide_category]', array(
	'label'            	=> esc_html__( 'Hide Category', 'yummy-pro' ),
	'section'          	=> 'yummy_pro_single_options',
	'type'             	=> 'checkbox',
) );

// Tags disable setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[hide_tags]', array(
	'sanitize_callback'	=> 'yummy_pro_sanitize_checkbox',
	'default'          	=> $options['hide_tags'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[hide_tags]', array(
	'label'            	=> esc_html__( 'Hide Tags', 'yummy-pro' ),
	'section'          	=> 'yummy_pro_single_options',
	'type'             	=> 'checkbox',
) );

// Author disable setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[hide_author]', array(
	'sanitize_callback'	=> 'yummy_pro_sanitize_checkbox',
	'default'          	=> $options['hide_author'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[hide_author]', array(
	'label'            	=> esc_html__( 'Hide Author', 'yummy-pro' ),
	'section'          	=> 'yummy_pro_single_options',
	'type'             	=> 'checkbox',
) );

// Single Pagination disable setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[hide_single_pagination]', array(
	'sanitize_callback'	=> 'yummy_pro_sanitize_checkbox',
	'default'          	=> $options['hide_single_pagination'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[hide_single_pagination]', array(
	'label'            	=> esc_html__( 'Hide Single Pagination', 'yummy-pro' ),
	'section'          	=> 'yummy_pro_single_options',
	'type'             	=> 'checkbox',
) );