<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Theme Palace
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function yummy_pro_extra_widgets_init() {
	for ($i=1; $i < 4; $i++) { 
		register_sidebar( array(
			'name'          => esc_html__( 'Footer ', 'yummy-pro' ).$i,
			'id'            => 'footer-'.$i,
			'description'   => esc_html__( 'Add footer widgets here.', 'yummy-pro' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
	}

	register_sidebar( array(
		'name'          => esc_html__( 'About Section Widget Area', 'yummy-pro' ),
		'id'            => 'about_section_widget_area',
		'description'   => esc_html__( 'This widget area supports Reservation Widget, Ad-Image widget and also supports Image from Text Widget For About Section in Front-page.', 'yummy-pro' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="entry-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Instagram Widgets', 'yummy-pro' ),
		'id'            => 'instagram_widgets',
		'description'   => esc_html__( 'Instagram Widget Area On Footer Part.', 'yummy-pro' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<header class="entry-header align-center"><h2 class="entry-title">',
		'after_title'   => '</h2><div class="separator"></div></header>',
	) );
}
add_action( 'widgets_init', 'yummy_pro_extra_widgets_init' );
/*
 * Add social link widget
 */
require get_template_directory() . '/inc/widgets/social-link.php';
/*
 * Add Ad image widget
 */
require get_template_directory() . '/inc/widgets/ad-image.php';
/*
 * Add video widget
 */
require get_template_directory() . '/inc/widgets/video-widget.php';
/*
 * Add Contact info widget
 */
require get_template_directory() . '/inc/widgets/contact-info.php';
/*
 * Add instagram widget
 */
require get_template_directory() . '/inc/widgets/instagram.php';
/*
 * Add Latest Posts widget
 */
require get_template_directory() . '/inc/widgets/latest-posts.php';
/*
 * Add popular post meta
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-meta.php';
/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-widget.php';

/*
 * Add reservation widget
 */
require get_template_directory() . '/inc/widgets/reservation-widgets.php';

if ( class_exists( 'rtbInit' ) ) {
	/*
	 * Add opening-hours widget
	 */
	require get_template_directory() . '/inc/widgets/opening-hours.php';
}